Sage 500 and impact of deprecation of TLS 1.0 and 1.1

Transport Layer Security (TLS) is an encryption protocol intended to keep data secure when being transferred over a network. Microsoft has been announcing  the deprecation of TLS 1.0 and 1.1 for the Office 365 service for more then two years and finally enforced it starting October 15, 2020. 

The Office client can use TLS 1.2 if the web service of the local computer can use TLS 1.2. Here is how Microsoft is addressing this issue:

On Windows 8 and later versions

By default, the TLS 1.2 and 1.1 protocols are available if no network devices are configured to reject TLS 1.2 traffic.

On Windows 7

TLS 1.1 and 1.2 protocols are not available without the KB 3140245 update. The update addresses this issue and adds the following registry sub key:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\WinHttp

For further assistance please read the article KB 3140245 for more details on how to implement it.

Impact on Sage 500:

Customers using Document  Transmittal using Exchange with Office 365 as the Exchange Server for Processing might experience failure sending email or validating mailboxes.

How to address it:

  • Sage 500 Version 2018 PU 6 or later and 2019 PU3 or later should be sufficient.
  • For Sage 500 Version 2017 or Version 2018 prior to PU 6 or Version 2019 Prior to PU 3 utilize the new version of EmailUtilFx.dll and EmailUtilFx.tlb files. These new versions of the files default to using TLS 1.2 for communication with the server.
  • If you are running into problems when using Document Transmittal within Sage 500 and using Exchange with Office 365 as the Exchange Server for Processing please contact Sage 500 support to obtain the files EmailUtilFx.dll and EmailUtilFx.tlb files specific to  your Sage 500 version.
Anonymous